//
//  TCreateIndexFileDlg.cs
//  Copyright 2005 Takeshi Yoneki / OSTRA / OSTRACISM CO., All rights reserved.
//
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;
using System.Resources;

namespace GGG4W
{
	/// <summary>
	/// TCreateIndexFileDlg CfbNXt@C쐬_CAONX
	/// </summary>
	public class TCreateIndexFileDlg : System.Windows.Forms.Form {
		public TGraphicSearch m_gs = null;
		ResourceManager m_rmStrings = null;

		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.FolderBrowserDialog folderBrowserDialog;
		private System.Windows.Forms.SaveFileDialog saveFileDialog;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.TextBox edtTopDirPath;
		private System.Windows.Forms.Button btnTopDirPathRef;
		private System.Windows.Forms.TextBox edtIndexFilePath;
		private System.Windows.Forms.Button btnIndexFilePathRef;
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		private System.ComponentModel.Container components = null;

		public TCreateIndexFileDlg() {
			//
			// Windows tH[ fUCi T|[gɕKvłB
			//
			InitializeComponent();

			//
			// TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
			//
			this.AcceptButton = btnOK;
			this.CancelButton = btnCancel;
		}

		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if(components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows tH[ fUCiŐꂽR[h 
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent() {
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(TCreateIndexFileDlg));
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.edtTopDirPath = new System.Windows.Forms.TextBox();
			this.btnTopDirPathRef = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.edtIndexFilePath = new System.Windows.Forms.TextBox();
			this.btnIndexFilePathRef = new System.Windows.Forms.Button();
			this.folderBrowserDialog = new System.Windows.Forms.FolderBrowserDialog();
			this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
			this.SuspendLayout();
			// 
			// btnOK
			// 
			this.btnOK.AccessibleDescription = resources.GetString("btnOK.AccessibleDescription");
			this.btnOK.AccessibleName = resources.GetString("btnOK.AccessibleName");
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnOK.Anchor")));
			this.btnOK.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnOK.BackgroundImage")));
			this.btnOK.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnOK.Dock")));
			this.btnOK.Enabled = ((bool)(resources.GetObject("btnOK.Enabled")));
			this.btnOK.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnOK.FlatStyle")));
			this.btnOK.Font = ((System.Drawing.Font)(resources.GetObject("btnOK.Font")));
			this.btnOK.Image = ((System.Drawing.Image)(resources.GetObject("btnOK.Image")));
			this.btnOK.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnOK.ImageAlign")));
			this.btnOK.ImageIndex = ((int)(resources.GetObject("btnOK.ImageIndex")));
			this.btnOK.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnOK.ImeMode")));
			this.btnOK.Location = ((System.Drawing.Point)(resources.GetObject("btnOK.Location")));
			this.btnOK.Name = "btnOK";
			this.btnOK.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnOK.RightToLeft")));
			this.btnOK.Size = ((System.Drawing.Size)(resources.GetObject("btnOK.Size")));
			this.btnOK.TabIndex = ((int)(resources.GetObject("btnOK.TabIndex")));
			this.btnOK.Text = resources.GetString("btnOK.Text");
			this.btnOK.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnOK.TextAlign")));
			this.btnOK.Visible = ((bool)(resources.GetObject("btnOK.Visible")));
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// btnCancel
			// 
			this.btnCancel.AccessibleDescription = resources.GetString("btnCancel.AccessibleDescription");
			this.btnCancel.AccessibleName = resources.GetString("btnCancel.AccessibleName");
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnCancel.Anchor")));
			this.btnCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnCancel.BackgroundImage")));
			this.btnCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnCancel.Dock")));
			this.btnCancel.Enabled = ((bool)(resources.GetObject("btnCancel.Enabled")));
			this.btnCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnCancel.FlatStyle")));
			this.btnCancel.Font = ((System.Drawing.Font)(resources.GetObject("btnCancel.Font")));
			this.btnCancel.Image = ((System.Drawing.Image)(resources.GetObject("btnCancel.Image")));
			this.btnCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnCancel.ImageAlign")));
			this.btnCancel.ImageIndex = ((int)(resources.GetObject("btnCancel.ImageIndex")));
			this.btnCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnCancel.ImeMode")));
			this.btnCancel.Location = ((System.Drawing.Point)(resources.GetObject("btnCancel.Location")));
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnCancel.RightToLeft")));
			this.btnCancel.Size = ((System.Drawing.Size)(resources.GetObject("btnCancel.Size")));
			this.btnCancel.TabIndex = ((int)(resources.GetObject("btnCancel.TabIndex")));
			this.btnCancel.Text = resources.GetString("btnCancel.Text");
			this.btnCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnCancel.TextAlign")));
			this.btnCancel.Visible = ((bool)(resources.GetObject("btnCancel.Visible")));
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// edtTopDirPath
			// 
			this.edtTopDirPath.AccessibleDescription = resources.GetString("edtTopDirPath.AccessibleDescription");
			this.edtTopDirPath.AccessibleName = resources.GetString("edtTopDirPath.AccessibleName");
			this.edtTopDirPath.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("edtTopDirPath.Anchor")));
			this.edtTopDirPath.AutoSize = ((bool)(resources.GetObject("edtTopDirPath.AutoSize")));
			this.edtTopDirPath.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("edtTopDirPath.BackgroundImage")));
			this.edtTopDirPath.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("edtTopDirPath.Dock")));
			this.edtTopDirPath.Enabled = ((bool)(resources.GetObject("edtTopDirPath.Enabled")));
			this.edtTopDirPath.Font = ((System.Drawing.Font)(resources.GetObject("edtTopDirPath.Font")));
			this.edtTopDirPath.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("edtTopDirPath.ImeMode")));
			this.edtTopDirPath.Location = ((System.Drawing.Point)(resources.GetObject("edtTopDirPath.Location")));
			this.edtTopDirPath.MaxLength = ((int)(resources.GetObject("edtTopDirPath.MaxLength")));
			this.edtTopDirPath.Multiline = ((bool)(resources.GetObject("edtTopDirPath.Multiline")));
			this.edtTopDirPath.Name = "edtTopDirPath";
			this.edtTopDirPath.PasswordChar = ((char)(resources.GetObject("edtTopDirPath.PasswordChar")));
			this.edtTopDirPath.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("edtTopDirPath.RightToLeft")));
			this.edtTopDirPath.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("edtTopDirPath.ScrollBars")));
			this.edtTopDirPath.Size = ((System.Drawing.Size)(resources.GetObject("edtTopDirPath.Size")));
			this.edtTopDirPath.TabIndex = ((int)(resources.GetObject("edtTopDirPath.TabIndex")));
			this.edtTopDirPath.Text = resources.GetString("edtTopDirPath.Text");
			this.edtTopDirPath.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("edtTopDirPath.TextAlign")));
			this.edtTopDirPath.Visible = ((bool)(resources.GetObject("edtTopDirPath.Visible")));
			this.edtTopDirPath.WordWrap = ((bool)(resources.GetObject("edtTopDirPath.WordWrap")));
			// 
			// btnTopDirPathRef
			// 
			this.btnTopDirPathRef.AccessibleDescription = resources.GetString("btnTopDirPathRef.AccessibleDescription");
			this.btnTopDirPathRef.AccessibleName = resources.GetString("btnTopDirPathRef.AccessibleName");
			this.btnTopDirPathRef.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnTopDirPathRef.Anchor")));
			this.btnTopDirPathRef.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnTopDirPathRef.BackgroundImage")));
			this.btnTopDirPathRef.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnTopDirPathRef.Dock")));
			this.btnTopDirPathRef.Enabled = ((bool)(resources.GetObject("btnTopDirPathRef.Enabled")));
			this.btnTopDirPathRef.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnTopDirPathRef.FlatStyle")));
			this.btnTopDirPathRef.Font = ((System.Drawing.Font)(resources.GetObject("btnTopDirPathRef.Font")));
			this.btnTopDirPathRef.Image = ((System.Drawing.Image)(resources.GetObject("btnTopDirPathRef.Image")));
			this.btnTopDirPathRef.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnTopDirPathRef.ImageAlign")));
			this.btnTopDirPathRef.ImageIndex = ((int)(resources.GetObject("btnTopDirPathRef.ImageIndex")));
			this.btnTopDirPathRef.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnTopDirPathRef.ImeMode")));
			this.btnTopDirPathRef.Location = ((System.Drawing.Point)(resources.GetObject("btnTopDirPathRef.Location")));
			this.btnTopDirPathRef.Name = "btnTopDirPathRef";
			this.btnTopDirPathRef.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnTopDirPathRef.RightToLeft")));
			this.btnTopDirPathRef.Size = ((System.Drawing.Size)(resources.GetObject("btnTopDirPathRef.Size")));
			this.btnTopDirPathRef.TabIndex = ((int)(resources.GetObject("btnTopDirPathRef.TabIndex")));
			this.btnTopDirPathRef.Text = resources.GetString("btnTopDirPathRef.Text");
			this.btnTopDirPathRef.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnTopDirPathRef.TextAlign")));
			this.btnTopDirPathRef.Visible = ((bool)(resources.GetObject("btnTopDirPathRef.Visible")));
			this.btnTopDirPathRef.Click += new System.EventHandler(this.btnTopDirPathRef_Click);
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// edtIndexFilePath
			// 
			this.edtIndexFilePath.AccessibleDescription = resources.GetString("edtIndexFilePath.AccessibleDescription");
			this.edtIndexFilePath.AccessibleName = resources.GetString("edtIndexFilePath.AccessibleName");
			this.edtIndexFilePath.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("edtIndexFilePath.Anchor")));
			this.edtIndexFilePath.AutoSize = ((bool)(resources.GetObject("edtIndexFilePath.AutoSize")));
			this.edtIndexFilePath.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("edtIndexFilePath.BackgroundImage")));
			this.edtIndexFilePath.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("edtIndexFilePath.Dock")));
			this.edtIndexFilePath.Enabled = ((bool)(resources.GetObject("edtIndexFilePath.Enabled")));
			this.edtIndexFilePath.Font = ((System.Drawing.Font)(resources.GetObject("edtIndexFilePath.Font")));
			this.edtIndexFilePath.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("edtIndexFilePath.ImeMode")));
			this.edtIndexFilePath.Location = ((System.Drawing.Point)(resources.GetObject("edtIndexFilePath.Location")));
			this.edtIndexFilePath.MaxLength = ((int)(resources.GetObject("edtIndexFilePath.MaxLength")));
			this.edtIndexFilePath.Multiline = ((bool)(resources.GetObject("edtIndexFilePath.Multiline")));
			this.edtIndexFilePath.Name = "edtIndexFilePath";
			this.edtIndexFilePath.PasswordChar = ((char)(resources.GetObject("edtIndexFilePath.PasswordChar")));
			this.edtIndexFilePath.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("edtIndexFilePath.RightToLeft")));
			this.edtIndexFilePath.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("edtIndexFilePath.ScrollBars")));
			this.edtIndexFilePath.Size = ((System.Drawing.Size)(resources.GetObject("edtIndexFilePath.Size")));
			this.edtIndexFilePath.TabIndex = ((int)(resources.GetObject("edtIndexFilePath.TabIndex")));
			this.edtIndexFilePath.Text = resources.GetString("edtIndexFilePath.Text");
			this.edtIndexFilePath.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("edtIndexFilePath.TextAlign")));
			this.edtIndexFilePath.Visible = ((bool)(resources.GetObject("edtIndexFilePath.Visible")));
			this.edtIndexFilePath.WordWrap = ((bool)(resources.GetObject("edtIndexFilePath.WordWrap")));
			// 
			// btnIndexFilePathRef
			// 
			this.btnIndexFilePathRef.AccessibleDescription = resources.GetString("btnIndexFilePathRef.AccessibleDescription");
			this.btnIndexFilePathRef.AccessibleName = resources.GetString("btnIndexFilePathRef.AccessibleName");
			this.btnIndexFilePathRef.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnIndexFilePathRef.Anchor")));
			this.btnIndexFilePathRef.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnIndexFilePathRef.BackgroundImage")));
			this.btnIndexFilePathRef.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnIndexFilePathRef.Dock")));
			this.btnIndexFilePathRef.Enabled = ((bool)(resources.GetObject("btnIndexFilePathRef.Enabled")));
			this.btnIndexFilePathRef.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnIndexFilePathRef.FlatStyle")));
			this.btnIndexFilePathRef.Font = ((System.Drawing.Font)(resources.GetObject("btnIndexFilePathRef.Font")));
			this.btnIndexFilePathRef.Image = ((System.Drawing.Image)(resources.GetObject("btnIndexFilePathRef.Image")));
			this.btnIndexFilePathRef.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnIndexFilePathRef.ImageAlign")));
			this.btnIndexFilePathRef.ImageIndex = ((int)(resources.GetObject("btnIndexFilePathRef.ImageIndex")));
			this.btnIndexFilePathRef.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnIndexFilePathRef.ImeMode")));
			this.btnIndexFilePathRef.Location = ((System.Drawing.Point)(resources.GetObject("btnIndexFilePathRef.Location")));
			this.btnIndexFilePathRef.Name = "btnIndexFilePathRef";
			this.btnIndexFilePathRef.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnIndexFilePathRef.RightToLeft")));
			this.btnIndexFilePathRef.Size = ((System.Drawing.Size)(resources.GetObject("btnIndexFilePathRef.Size")));
			this.btnIndexFilePathRef.TabIndex = ((int)(resources.GetObject("btnIndexFilePathRef.TabIndex")));
			this.btnIndexFilePathRef.Text = resources.GetString("btnIndexFilePathRef.Text");
			this.btnIndexFilePathRef.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnIndexFilePathRef.TextAlign")));
			this.btnIndexFilePathRef.Visible = ((bool)(resources.GetObject("btnIndexFilePathRef.Visible")));
			this.btnIndexFilePathRef.Click += new System.EventHandler(this.btnIndexFilePathRef_Click);
			// 
			// folderBrowserDialog
			// 
			this.folderBrowserDialog.Description = resources.GetString("folderBrowserDialog.Description");
			this.folderBrowserDialog.SelectedPath = resources.GetString("folderBrowserDialog.SelectedPath");
			// 
			// saveFileDialog
			// 
			this.saveFileDialog.Filter = resources.GetString("saveFileDialog.Filter");
			this.saveFileDialog.Title = resources.GetString("saveFileDialog.Title");
			// 
			// TCreateIndexFileDlg
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.btnIndexFilePathRef);
			this.Controls.Add(this.edtIndexFilePath);
			this.Controls.Add(this.edtTopDirPath);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.btnTopDirPathRef);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnOK);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "TCreateIndexFileDlg";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// ݒ
		/// </summary>
		/// <param name="gs"></param>
		public void Setup(ref TGraphicSearch gs) {
			m_rmStrings = new ResourceManager("GGG4W.Resource1", GetType().Assembly);
			m_gs = gs;
			edtTopDirPath.Text = m_gs.m_topDirPath;
			edtIndexFilePath.Text = m_gs.m_indexFilePath;
		}	

		/*
		 * ANV
		 */

		private void btnOK_Click(object sender, System.EventArgs e) {
			if (Directory.Exists(edtTopDirPath.Text) == false || edtIndexFilePath.Text.Length == 0)
				return;
			m_gs.m_topDirPath = edtTopDirPath.Text;
			m_gs.m_indexFilePath = edtIndexFilePath.Text;
			this.DialogResult = DialogResult.OK;
			this.Close();
		}
		
		private void btnCancel_Click(object sender, System.EventArgs e) {
			this.DialogResult = DialogResult.Cancel;
			this.Close();
		}

		private void btnTopDirPathRef_Click(object sender, System.EventArgs e) {
			folderBrowserDialog.Description = m_rmStrings.GetString("RS_SEL_DIR_DESC");
			folderBrowserDialog.SelectedPath = edtTopDirPath.Text;
			if(folderBrowserDialog.ShowDialog() == DialogResult.OK)
				edtTopDirPath.Text = folderBrowserDialog.SelectedPath;
		}

		private void btnIndexFilePathRef_Click(object sender, System.EventArgs e) {
			if (edtIndexFilePath.Text.Length == 0)
				saveFileDialog.FileName = "index.ggi";
			else
				saveFileDialog.FileName = edtIndexFilePath.Text;
			saveFileDialog.Filter = m_rmStrings.GetString("RS_INDEX_FILE_FILTER");
			if(saveFileDialog.ShowDialog() == DialogResult.OK)
				edtIndexFilePath.Text = saveFileDialog.FileName;
		}

	}
}
